petsc-3.13.6 2020-09-29
Report Typos and Errors

# VecGetArrayInPlace

Like VecGetArray(), but if this is a CUDA vector and it is currently offloaded to GPU, the returned pointer will be a GPU pointer to the GPU memory that contains this processor's portion of the vector data. Otherwise, it functions as VecGetArray().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetArrayInPlace(Vec x,PetscScalar **a)

Logically Collective on Vec

### Input Parameter

x -the vector

### Output Parameter

a -location to put pointer to the array

### See Also

VecRestoreArrayInPlace(), VecRestoreArrayInPlace(), VecRestoreArray(), VecGetArrayRead(), VecGetArrays(), VecGetArrayF90(), VecGetArrayReadF90(),
VecPlaceArray(), VecGetArray2d(), VecGetArrayPair(), VecRestoreArrayPair(), VecGetArrayWrite(), VecRestoreArrayWrite()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages